Game Develop C++ Platform: CppPlatform.cpp File Reference

| Game Develop C++ Platform Platform for developing native games based on OpenGL and SFML with Game Develop

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Groups Pages
Functions
CppPlatform.cpp File Reference
`#include "GDCpp/CppPlatform.h"`
`#include "GDCore/PlatformDefinition/Platform.h"`
`#include "GDCore/PlatformDefinition/Project.h"`
`#include "GDCpp/IDE/Exporter.h"`
`#include "GDCpp/Project.h"`
`#include "GDCpp/ExtensionBase.h"`
`#include "GDCpp/SoundManager.h"`
`#include "GDCpp/Automatism.h"`
`#include "GDCpp/FontManager.h"`
`#include "GDCpp/IDE/CodeCompiler.h"`
`#include "GDCpp/IDE/ChangesNotifier.h"`
`#include "GDCpp/IDE/Dialogs/CppLayoutPreviewer.h"`
`#include "GDCpp/BuiltinExtensions/BaseObjectExtension.h"`
`#include "GDCpp/BuiltinExtensions/CommonInstructionsExtension.h"`
`#include "GDCpp/BuiltinExtensions/CommonConversionsExtension.h"`
`#include "GDCpp/BuiltinExtensions/SceneExtension.h"`
`#include "GDCpp/BuiltinExtensions/StringInstructionsExtension.h"`
`#include "GDCpp/BuiltinExtensions/MouseExtension.h"`
`#include "GDCpp/BuiltinExtensions/TimeExtension.h"`
`#include "GDCpp/BuiltinExtensions/VariablesExtension.h"`
`#include "GDCpp/BuiltinExtensions/SpriteExtension.h"`
`#include "GDCpp/BuiltinExtensions/MathematicalToolsExtension.h"`
`#include "GDCpp/BuiltinExtensions/AdvancedExtension.h"`
`#include "GDCpp/BuiltinExtensions/KeyboardExtension.h"`
`#include "GDCpp/BuiltinExtensions/AudioExtension.h"`
`#include "GDCpp/BuiltinExtensions/CameraExtension.h"`
`#include "GDCpp/BuiltinExtensions/JoystickExtension.h"`
`#include "GDCpp/BuiltinExtensions/FileExtension.h"`
`#include "GDCpp/BuiltinExtensions/NetworkExtension.h"`
`#include "GDCpp/BuiltinExtensions/WindowExtension.h"`
`#include "GDCpp/BuiltinExtensions/ExternalLayoutsExtension.h"`
`#include "GDCpp/RuntimeObject.h"`
`#include "GDCpp/Object.h"`
`#include "GDCpp/CommonTools.h"`
`#include "GDCore/PlatformDefinition/Platform.cpp"`

## Functions

gd::Platform *GD_API | CreateGDPlatform ()
void GD_API | DestroyGDPlatform ()

## Detailed Description

Game Develop 2008-2013 Florian Rival (Flori.nosp@m.an.R.nosp@m.ival@.nosp@m.gmai.nosp@m.l.com)

## Function Documentation

gd::Platform* GD_API CreateGDPlatform | ( | ) |  |

Used by Game Develop to create the platform class

Here is the call graph for this function:

void GD_API DestroyGDPlatform | ( | ) |  |

Used by Game Develop to destroy the platform class

Here is the call graph for this function: